Перейти к содержимому

POST /sandboxes/{sandboxID}/connect

Connect sandbox

Returns sandbox details. If the sandbox is paused, it will be resumed. TTL is only extended.

Параметры

  • sandboxID · string · путь · обязательно

Тело запроса

Обязательно: да

application/json

Схема: ConnectSandbox

  • timeout · integer · обязательно

    Timeout in seconds from the current time after which the sandbox should expire

    Формат: int32

    Минимум: 0

Ответы

200

The sandbox was already running

Content-Type: application/json

Схема: Sandbox

  • templateID · string · обязательно

    Identifier of the template from which is the sandbox created

  • sandboxID · string · обязательно

    Identifier of the sandbox

  • alias · string · необязательно

    Alias of the template

  • envdVersion · EnvdVersion · обязательно

    Version of the envd running in the sandbox

  • domain · string | null · необязательно

    Base domain where the sandbox traffic is accessible

201

The sandbox was resumed successfully

Content-Type: application/json

Схема: Sandbox

  • templateID · string · обязательно

    Identifier of the template from which is the sandbox created

  • sandboxID · string · обязательно

    Identifier of the sandbox

  • alias · string · необязательно

    Alias of the template

  • envdVersion · EnvdVersion · обязательно

    Version of the envd running in the sandbox

  • domain · string | null · необязательно

    Base domain where the sandbox traffic is accessible

400

Bad request

Content-Type: application/json

Схема: Error

  • code · integer · обязательно

    Error code

    Формат: int32

  • message · string · обязательно

    Error

401

Authentication error

Content-Type: application/json

Схема: Error

  • code · integer · обязательно

    Error code

    Формат: int32

  • message · string · обязательно

    Error

404

Not found

Content-Type: application/json

Схема: Error

  • code · integer · обязательно

    Error code

    Формат: int32

  • message · string · обязательно

    Error

500

Server error

Content-Type: application/json

Схема: Error

  • code · integer · обязательно

    Error code

    Формат: int32

  • message · string · обязательно

    Error